@openwop/spec-artifacts 2.40.3 → 2.41.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CORPUS-STAMP.json +10 -10
- package/api/seams-v2.yaml +95 -1
- package/api/v2/asyncapi.yaml +1 -1
- package/api/v2/openapi.yaml +1 -1
- package/package.json +1 -1
- package/spec/v1/core-standard-manifest.json +2 -2
- package/spec/v1/gaps.json +4 -4
- package/spec/v2/release.json +2 -2
- package/spec/v2/surface-baseline.json +1 -1
package/CORPUS-STAMP.json
CHANGED
|
@@ -1,17 +1,17 @@
|
|
|
1
1
|
{
|
|
2
2
|
"_comment": "Provenance of @openwop/spec-artifacts (RFC 0168 §D.2). files: SHA-256 per file; the conformance suite compares the installed peer against dist/spec-artifacts.lock.json at start.",
|
|
3
3
|
"package": "@openwop/spec-artifacts",
|
|
4
|
-
"version": "2.
|
|
5
|
-
"corpusTag": "v2.
|
|
4
|
+
"version": "2.41.0",
|
|
5
|
+
"corpusTag": "v2.41.0",
|
|
6
6
|
"files": {
|
|
7
7
|
"api/.redocly.lint-ignore.yaml": "bf5a8350b88a72fa43f59605ed8d903ed24b6cfccda5e45509c9f6ed9ee4e712",
|
|
8
8
|
"api/asyncapi.yaml": "d5ecb9ee6114582be3b1f662c84bfac9ae96dae7bacb853e461168f70a8e1c7d",
|
|
9
9
|
"api/grpc/openwop.proto": "c3e72bb17cba514ee98feb6434e6c9b6ea6795bfd086489ec69fd882dd1ad977",
|
|
10
10
|
"api/openapi.yaml": "6366b5514be71098e9ea41fc81ff52bc39db1a547b353c0b344cc2a2bf5370aa",
|
|
11
11
|
"api/redocly.yaml": "b0604c89b2ca6d5076ec25725c539dad44a741a811fe524439ee6daef8baa09f",
|
|
12
|
-
"api/seams-v2.yaml": "
|
|
13
|
-
"api/v2/asyncapi.yaml": "
|
|
14
|
-
"api/v2/openapi.yaml": "
|
|
12
|
+
"api/seams-v2.yaml": "1309f1f087272e74b836b436fa08160a1009feb9c341b6d359332e875ee7475f",
|
|
13
|
+
"api/v2/asyncapi.yaml": "b34dcda44b69de1d9d41ede8c2c69cc0fdbb6cc3533588057dd3a71acc42da5a",
|
|
14
|
+
"api/v2/openapi.yaml": "12ccdda2cf32ec21392fe84366607e0c69c4e07ae960a9fda3fd407a5cd7be78",
|
|
15
15
|
"api/v2/redocly.yaml": "1e66b60e6118ad11a823bb620678be464d99dfe50a40e3e6f93ec9429b88b34c",
|
|
16
16
|
"schemas/README.md": "0c0b737ffcf8f30e7d2809cec8a498232de710f41443212922ad8337cdde0b51",
|
|
17
17
|
"schemas/a2a-task-state.schema.json": "75d5049dea8bd873ff0e7546f1c60c8d36c219bec7084264360be54a8be30ae1",
|
|
@@ -204,13 +204,13 @@
|
|
|
204
204
|
"schemas/workspace-file.schema.json": "464de85c2a068243084ee9c1d969bc7cd5d8f7948574e58450d6493c38a0e1e4",
|
|
205
205
|
"spec/v1/alias-detectors.json": "2401fcb1c18cdd688c018b3d716ae6bca85c5e356220ee2b793bd9d81872412d",
|
|
206
206
|
"spec/v1/capability-declaration-classes.json": "e7729aed5c4b4e1dd02abab0530f14cc95f5d4070fe51fb139e7f5cccefa00c6",
|
|
207
|
-
"spec/v1/core-standard-manifest.json": "
|
|
207
|
+
"spec/v1/core-standard-manifest.json": "a8008e40cb7e5e68ccd4fe6761e563354d34b5ab278722fab75bc7ed4bc40cae",
|
|
208
208
|
"spec/v1/deprecations.json": "2d03f4729810280147ea08c630ea65434f2dc5370567d0aac41c3595f8337d40",
|
|
209
209
|
"spec/v1/deprecations.schema.json": "3e393c405d2a41b467d8c5e3c468549078df1ce6a6d2588fc488097b95d9b55b",
|
|
210
210
|
"spec/v1/event-codemap.json": "3da60d884157793a360da532a9fcbbfb5285636db325a74cec94b34622186d97",
|
|
211
211
|
"spec/v1/event-codemap.schema.json": "d05933b2e88103aff51a2f774df97b9bda065e0fc88dbd9b114cc47a32189174",
|
|
212
212
|
"spec/v1/extensions.json": "79a60754aa16cbdbdb604f8e5c00038af535a1690a4d07bd5ff7c38f0256a7bc",
|
|
213
|
-
"spec/v1/gaps.json": "
|
|
213
|
+
"spec/v1/gaps.json": "392a3d7f4b869a67d5861fcd47bc7eca83b6805b95b6520a91d9beb91df51c52",
|
|
214
214
|
"spec/v1/gaps.schema.json": "8fd83259f556553c9df0f53e7a82ca8c2a4771d471197f69b4e2ae0ceeacfd66",
|
|
215
215
|
"spec/v1/migrations.json": "8839497d6a4830b53fa7867014a8336f0d725ef2346352e54fb580b7947897af",
|
|
216
216
|
"spec/v1/migrations.schema.json": "886779aa6c22e646db097f5df210adb018a4dd14a7b815465a18c8a7056c8f72",
|
|
@@ -294,9 +294,9 @@
|
|
|
294
294
|
"spec/v2/path-manifest.json": "ae9b56d03a701061fd48ad0b73cb0373493f6a4547da92763b422295b5e19535",
|
|
295
295
|
"spec/v2/peer-dependency-aliases.json": "d10299280abee08258502925bc327293ee413e0108cd6e6ec75ff6110653308d",
|
|
296
296
|
"spec/v2/profiles.json": "0636f19fceae625390003a347e70ef4797d84766b5c24ce8a02cea52aadebca4",
|
|
297
|
-
"spec/v2/release.json": "
|
|
297
|
+
"spec/v2/release.json": "6849e210dc510d008596f51718f01f8deb32c6f5f9c3114f6e2707e778f38dcc",
|
|
298
298
|
"spec/v2/retention-floors.json": "eaf3722d95c79947af1d4269ef85117e126518c588cfcf1a2b21b97269f51624",
|
|
299
|
-
"spec/v2/surface-baseline.json": "
|
|
299
|
+
"spec/v2/surface-baseline.json": "18c79a71b4b65cf8f9f8bf345d3828627bb17673b7279de276c1120d540a4746"
|
|
300
300
|
},
|
|
301
|
-
"corpusCommit": "
|
|
301
|
+
"corpusCommit": "d0da968bd70f57f4844b58f1b2544029dc576efb"
|
|
302
302
|
}
|
package/api/seams-v2.yaml
CHANGED
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
openapi: 3.1.0
|
|
2
2
|
info:
|
|
3
3
|
title: OpenWOP conformance seams profile (openwop-conformance-seams-v2)
|
|
4
|
-
version: 2.
|
|
4
|
+
version: 2.41.0
|
|
5
5
|
description: 'GENERATED by scripts/derive-v2-api.py. RFC 0168 §C: the seams are a versioned conformance profile with their
|
|
6
6
|
own document and path space (/conformance/seams/…), validated against the canonical v2 schemas with no tolerance path,
|
|
7
7
|
forbidden from the capability namespace (a host advertises the profile, never a testSeams flag). This document carries
|
|
@@ -1155,6 +1155,100 @@ paths:
|
|
|
1155
1155
|
$ref: '#/components/responses/Unauthenticated'
|
|
1156
1156
|
'404':
|
|
1157
1157
|
$ref: '#/components/responses/NotFound'
|
|
1158
|
+
/conformance/seams/sample/agent/transcript-window:
|
|
1159
|
+
get:
|
|
1160
|
+
tags:
|
|
1161
|
+
- Seams
|
|
1162
|
+
operationId: getTranscriptWindow
|
|
1163
|
+
summary: The host's own accounting of what it fed the model on one orchestrator turn — RFC 0111 witness
|
|
1164
|
+
description: 'The orchestrator transcript a host assembles each iteration is host-internal and never crosses the wire.
|
|
1165
|
+
This seam returns what the host fed the model on turn `iteration` of `runId`: `tokenCount` in the advertised `contextBudget.tokenCounter`
|
|
1166
|
+
unit (MUST be ≤ `transcriptTokenBudget`), `eventIds` (the verbatim recent tail, in event-log order), `summarizedRanges`,
|
|
1167
|
+
and `entries[] { eventId, rendered }` — the exact text fed per item, REQUIRED when `tokenCounter` is `chars` so the
|
|
1168
|
+
suite can sum the rendered Unicode code points and require it to equal `tokenCount`. A summary substitution''s entry
|
|
1169
|
+
names its `context.summarized` event and renders the summary text. Served in test mode only; `rendered` MUST NOT carry
|
|
1170
|
+
secret material (SR-1). The ceiling is advertise-and-attest: the seam proves the declared accounting is consistent
|
|
1171
|
+
and bounded, not that nothing else reached the model. A turn past the run''s last answers `400`/`422`; an unwired
|
|
1172
|
+
seam answers `404`/`405`.'
|
|
1173
|
+
parameters:
|
|
1174
|
+
- name: runId
|
|
1175
|
+
in: query
|
|
1176
|
+
required: true
|
|
1177
|
+
schema:
|
|
1178
|
+
$ref: ../schemas/v2/ids.schema.json#/$defs/runId
|
|
1179
|
+
- name: iteration
|
|
1180
|
+
in: query
|
|
1181
|
+
required: true
|
|
1182
|
+
description: The 1-based `runOrchestrator.decided.iteration` of the turn.
|
|
1183
|
+
schema:
|
|
1184
|
+
type: integer
|
|
1185
|
+
minimum: 1
|
|
1186
|
+
responses:
|
|
1187
|
+
'200':
|
|
1188
|
+
description: The host's accounting for that turn.
|
|
1189
|
+
content:
|
|
1190
|
+
application/json:
|
|
1191
|
+
schema:
|
|
1192
|
+
type: object
|
|
1193
|
+
additionalProperties: false
|
|
1194
|
+
required:
|
|
1195
|
+
- tokenCounter
|
|
1196
|
+
- tokenCount
|
|
1197
|
+
- eventIds
|
|
1198
|
+
- summarizedRanges
|
|
1199
|
+
properties:
|
|
1200
|
+
tokenCounter:
|
|
1201
|
+
type: string
|
|
1202
|
+
enum:
|
|
1203
|
+
- o200k_base
|
|
1204
|
+
- cl100k_base
|
|
1205
|
+
- chars
|
|
1206
|
+
- host-defined
|
|
1207
|
+
tokenCount:
|
|
1208
|
+
type: integer
|
|
1209
|
+
minimum: 0
|
|
1210
|
+
eventIds:
|
|
1211
|
+
type: array
|
|
1212
|
+
items:
|
|
1213
|
+
type: string
|
|
1214
|
+
minLength: 1
|
|
1215
|
+
summarizedRanges:
|
|
1216
|
+
type: array
|
|
1217
|
+
items:
|
|
1218
|
+
type: object
|
|
1219
|
+
additionalProperties: false
|
|
1220
|
+
required:
|
|
1221
|
+
- summaryRef
|
|
1222
|
+
- replacedTurns
|
|
1223
|
+
properties:
|
|
1224
|
+
summaryRef:
|
|
1225
|
+
type: string
|
|
1226
|
+
minLength: 1
|
|
1227
|
+
replacedTurns:
|
|
1228
|
+
type: array
|
|
1229
|
+
items:
|
|
1230
|
+
type: string
|
|
1231
|
+
minLength: 1
|
|
1232
|
+
entries:
|
|
1233
|
+
type: array
|
|
1234
|
+
items:
|
|
1235
|
+
type: object
|
|
1236
|
+
additionalProperties: false
|
|
1237
|
+
required:
|
|
1238
|
+
- eventId
|
|
1239
|
+
- rendered
|
|
1240
|
+
properties:
|
|
1241
|
+
eventId:
|
|
1242
|
+
type: string
|
|
1243
|
+
minLength: 1
|
|
1244
|
+
rendered:
|
|
1245
|
+
type: string
|
|
1246
|
+
'400':
|
|
1247
|
+
$ref: '#/components/responses/ValidationError'
|
|
1248
|
+
'401':
|
|
1249
|
+
$ref: '#/components/responses/Unauthenticated'
|
|
1250
|
+
'404':
|
|
1251
|
+
$ref: '#/components/responses/NotFound'
|
|
1158
1252
|
components:
|
|
1159
1253
|
securitySchemes:
|
|
1160
1254
|
ApiKeyAuth:
|
package/api/v2/asyncapi.yaml
CHANGED
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
asyncapi: 3.1.0
|
|
2
2
|
info:
|
|
3
3
|
title: OpenWOP v2 event streams
|
|
4
|
-
version: 2.
|
|
4
|
+
version: 2.41.0
|
|
5
5
|
description: GENERATED by scripts/derive-v2-api.py (RFC 0171 §E.1, RFC 0172 §C.2). One run-events channel whose address
|
|
6
6
|
is the OpenAPI path key; the server pathname is empty (bare origin). streamMode is a pattern over the closed set and its
|
|
7
7
|
comma-separated combinations (`values` never combines). hostEvents has a real address (RFC 0171 §E.1) — the documented
|
package/api/v2/openapi.yaml
CHANGED
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
openapi: 3.1.0
|
|
2
2
|
info:
|
|
3
3
|
title: OpenWOP v2 API
|
|
4
|
-
version: 2.
|
|
4
|
+
version: 2.41.0
|
|
5
5
|
summary: REST surface for declaring, executing, suspending, resuming, and observing multi-step workflows.
|
|
6
6
|
description: GENERATED by scripts/derive-v2-api.py from api/openapi.yaml and the RFC 0167 children (v2 charter Phase 3,
|
|
7
7
|
P3-C). Bare origin, unversioned path keys, negotiation by `OpenWOP-Version` + `protocolVersions[]` (RFC 0172 §A). No seam
|
package/package.json
CHANGED
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
{
|
|
2
2
|
"name": "@openwop/spec-artifacts",
|
|
3
|
-
"version": "2.
|
|
3
|
+
"version": "2.41.0",
|
|
4
4
|
"description": "The OpenWOP machine-readable contract: api/ (OpenAPI, AsyncAPI, the seams profile), schemas/ (v1 and v2 JSON Schemas), the spec/v1 and spec/v2 registries (errors, event codemap, declaration, deprecations, migrations, gaps) and CORPUS-STAMP.json — published from the openwop/openwop corpus tag; the peer dependency @openwop/openwop-conformance digest-checks at start (RFC 0168 §D.2).",
|
|
5
5
|
"license": "Apache-2.0",
|
|
6
6
|
"repository": {
|
|
@@ -4,7 +4,7 @@
|
|
|
4
4
|
"provenance": {
|
|
5
5
|
"suite": {
|
|
6
6
|
"package": "@openwop/openwop-conformance",
|
|
7
|
-
"version": "2.
|
|
7
|
+
"version": "2.41.0"
|
|
8
8
|
},
|
|
9
9
|
"note": "Derived from the corpus at generation time. Regenerate with --write; verify with --check."
|
|
10
10
|
},
|
|
@@ -420,5 +420,5 @@
|
|
|
420
420
|
"$id": "https://openwop.dev/spec/v1/workspace-file.schema.json"
|
|
421
421
|
}
|
|
422
422
|
],
|
|
423
|
-
"digest": "
|
|
423
|
+
"digest": "424ec07ced1562f88cdeb29993927cfb80388b0ce6b17cd49dd70f2b3385dcb9"
|
|
424
424
|
}
|
package/spec/v1/gaps.json
CHANGED
|
@@ -4420,11 +4420,11 @@
|
|
|
4420
4420
|
"rfc": "0111",
|
|
4421
4421
|
"local": "G5",
|
|
4422
4422
|
"section": "Conformance",
|
|
4423
|
-
"surface": "No
|
|
4423
|
+
"surface": "No host with a real orchestrator loop advertises `contextBudget` yet",
|
|
4424
4424
|
"witness": "unclassified",
|
|
4425
4425
|
"requirementId": null,
|
|
4426
4426
|
"disposition": "externally-gated",
|
|
4427
|
-
"target": "
|
|
4427
|
+
"target": "real-orchestrator-host",
|
|
4428
4428
|
"sources": [
|
|
4429
4429
|
{
|
|
4430
4430
|
"file": "RFCS/registers/0111-context-economy.gaps.md",
|
|
@@ -5120,8 +5120,8 @@
|
|
|
5120
5120
|
"surface": "No confirmed provider terms-of-service permits API-shaped third-party automation under a reused consumer-subscription login, for any vendor.",
|
|
5121
5121
|
"witness": "unclassified",
|
|
5122
5122
|
"requirementId": null,
|
|
5123
|
-
"disposition": "
|
|
5124
|
-
"target":
|
|
5123
|
+
"disposition": "closed",
|
|
5124
|
+
"target": null,
|
|
5125
5125
|
"sources": [
|
|
5126
5126
|
{
|
|
5127
5127
|
"file": "RFCS/registers/0121-subscription-provider-auth.gaps.md",
|
package/spec/v2/release.json
CHANGED
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
{
|
|
2
2
|
"$comment": "RFC 0172 §D.1 — the one release identity the v2 artifacts derive from. `version` is the next corpus tag `v<version>` (the publish workflow's coordinated-release tag pattern `v*`; RFC 0172's `openwop/v2.<minor>.<patch>` spelling is amended to this at its flip). api/v2/*.yaml info.version, the suite's 2.x version and @openwop/spec-artifacts read it. Bumped by the release PR that cuts the tag, never by hand elsewhere.",
|
|
3
|
-
"version": "2.
|
|
4
|
-
"corpusTag": "v2.
|
|
3
|
+
"version": "2.41.0",
|
|
4
|
+
"corpusTag": "v2.41.0",
|
|
5
5
|
"updated": "2026-09-26"
|
|
6
6
|
}
|